# Created by pyp2rpm-3.3.2
%global pypi_name tldr

Name:           python-%{pypi_name}
Version:        3.3.0
Release:        %mkrel 2
Summary:        Command line client for tldr
Group:          Development/Python
License:        MIT
URL:            https://github.com/tldr-pages/tldr-python-client
Source0:        https://github.com/tldr-pages/tldr-python-client/archive/refs/tags/%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel

%description
A Python command line client for tldr.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A Python command line client for tldr.

%prep
%autosetup -n tldr-python-client-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files tldr

# tests need network, disabling

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.md
%doc README.md 
%{_datadir}/man/man1/tldr.1.xz
%{_bindir}/tldr


%changelog
* Sun Mar 02 2025 wally <wally> 3.3.0-2.mga10
+ Revision: 2157884
- rebuild for python3.13

* Sat Jul 13 2024 papoteur <papoteur> 3.3.0-1.mga10
+ Revision: 2080953
- new version 3.3.0
- port to pyproject
- disable tests, they need network

* Tue Dec 19 2023 papoteur <papoteur> 0.4.4-9.mga10
+ Revision: 2019498
- Mass Rebuild - Python 3.12

* Sun Mar 27 2022 umeabot <umeabot> 0.4.4-8.mga9
+ Revision: 1828876
- Mageia 9 Mass Rebuild

* Sun Feb 20 2022 mrambo3501 <mrambo3501> 0.4.4-7.mga9
+ Revision: 1781560
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.4.4-6.mga9
+ Revision: 1732391
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.4.4-5.mga8
+ Revision: 1532687
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 tv <tv> 0.4.4-4.mga8
+ Revision: 1442604
- rebuild for python-3.8

* Mon Jan 07 2019 shlomif <shlomif> 0.4.4-3.mga7
+ Revision: 1350273
- Rebuild for python3 3.7

* Sat Dec 29 2018 tv <tv> 0.4.4-2.mga7
+ Revision: 1346371
- fix description

* Mon Dec 24 2018 shlomif <shlomif> 0.4.4-1.mga7
+ Revision: 1344834
- rpmlint fixes.
- build fixes
- pyp2rpm

